Package com.microej.wear.services

## Interface HealthService

-     public interface HealthService

  This service allows Features to get health information.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAwakeSleepDuration()` | Returns the awake sleep duration.
    `int` | `getCalories()` | Returns the number of calories burned in the current day.
    `int` | `getDeepSleepDuration()` | Returns the deep sleep duration.
    `int` | `getHeartRate()` | Returns the current heart rate.
    `int` | `getLightSleepDuration()` | Returns the light sleep duration.
    `int` | `getOxygenSaturation()` | Returns the blood peripheral oxygen saturation.
    `int` | `getRemSleepDuration()` | Returns the REM sleep duration.
    `int` | `getSteps()` | Returns the number of steps walked in the current day.

- - ### Method Detail

    - #### getSteps

          int getSteps()

      Returns the number of steps walked in the current day.
      Returns:
        the number of steps.

    - #### getCalories

          int getCalories()

      Returns the number of calories burned in the current day.
      Returns:
        the number of calories (in kcal).

    - #### getHeartRate

          int getHeartRate()

      Returns the current heart rate.
      Returns:
        the heart rate (in bpm).

    - #### getOxygenSaturation

          int getOxygenSaturation()

      Returns the blood peripheral oxygen saturation.
      Returns:
        the oxygen saturation (in %).

    - #### getAwakeSleepDuration

          int getAwakeSleepDuration()

      Returns the awake sleep duration.
      Returns:
        the awake sleep duration (in minutes).

    - #### getRemSleepDuration

          int getRemSleepDuration()

      Returns the REM sleep duration.
      Returns:
        the REM sleep duration (in minutes).

    - #### getLightSleepDuration

          int getLightSleepDuration()

      Returns the light sleep duration.
      Returns:
        the light sleep duration (in minutes).

    - #### getDeepSleepDuration

          int getDeepSleepDuration()

      Returns the deep sleep duration.
      Returns:
        the deep sleep duration (in minutes).